Subject: Re: Socket buffer sizes with autotuning

From: Andi Kleen <[email-masked]>
Date: Fri, 25 Apr 2008 09:48:34 +0200

David Miller wrote:
> From: Andi Kleen <[email-masked]>
> Date: Fri, 25 Apr 2008 09:06:48 +0200
> 
>> The only big problem then would be if there are more submitting threads
>> than packets in the TX queue, but I would consider that unlikely for
>> GB+ NICs at least (might be an issue for older designs with smaller queues)
> 
> It's probably exactly what happens in those chat server benchmarks.

In that case we might be better off just blocking some of these threads
until the TX queue cleared? What good is it to send faster than the
network allows?

-Andi